# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Graphics/GnuplotIF.pm) perl(List/Util.pm) perl(Math/Big.pm) perl(Math/Random.pm) perl(Test/Simple.pm)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name Algorithm-RandomPointGenerator
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: This module generates a set of random points in a 2D plane according to a user-specified probabilit...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AV/AVIKAK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Several testing protocols for "big data" research projects involving large geographic
areas require a random set of points that are distributed according to a
user-specified probability density function that exists in the form of a 2D
histogram.  This module is an implementation of the Metropolis-Hastings algorithm for
generating such a set of points.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README examples
%perl_vendor_privlib/A*

%changelog
* Mon Nov 16 2015 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

